org.apache.storm.trident.planner.processor

## Class AppendCollector

- java.lang.Object
- - org.apache.storm.trident.planner.processor.AppendCollector

- All Implemented Interfaces:
    TridentCollector

      public class AppendCollector
      extends Object
      implements TridentCollector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendCollector(TridentContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `emit(List<Object> values)` Emits a tuple to a Stream.
    `void` | `flush()` Flush any buffered tuples (when batching is enabled).
    `TridentTuple.Factory` | `getOutputFactory()`
    `void` | `reportError(Throwable t)` Reports an error.
    `void` | `setContext(ProcessorContext pc, TridentTuple t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppendCollector

          public AppendCollector(TridentContext context)

  - ### Method Detail

    - #### setContext

          public void setContext(ProcessorContext pc,
                                 TridentTuple t)

    - #### emit

          public void emit(List<Object> values)

      Description copied from interface: `TridentCollector`

      Emits a tuple to a Stream.

      Specified by:
        `emit` in interface `TridentCollector`
      Parameters:
        `values` - a list of values of which the tuple will be composed

    - #### flush

          public void flush()

      Description copied from interface: `TridentCollector`

      Flush any buffered tuples (when batching is enabled).

      Specified by:
        `flush` in interface `TridentCollector`

    - #### reportError

          public void reportError(Throwable t)

      Description copied from interface: `TridentCollector`

      Reports an error. The corresponding stack trace will be visible in the Storm UI.

      Note that calling this method does not alter the processing of a batch. To explicitly fail a batch and trigger a replay, components should throw `FailedException`.

      Specified by:
        `reportError` in interface `TridentCollector`
      Parameters:
        `t` - The instance of the error (Throwable) being reported.

    - #### getOutputFactory

          public TridentTuple.Factory getOutputFactory()

Copyright © 2021 The Apache Software Foundation. All rights reserved.